uniform lowp vec4 fColor;
uniform lowp sampler2D fTexture;
uniform int fRad;
uniform mediump vec4 fTexelSizeH;
uniform mediump vec4 fTexelSizeW;
varying mediump vec2 fTexCoord;

void main() {
 lowp vec4 frag=vec4(0,0,0,0);
 int ext=2*fRad+1;	 
 mediump vec2 tc=fTexCoord-fTexelSizeH.xy*float(fRad)-fTexelSizeW.xy*float(fRad);
 for (int v=0;v<ext;v++)	
 {
 for (int v=0;v<ext;v++)	
 {
	if (v<ext)
		frag=frag+texture2D(fTexture, tc);
    tc+=fTexelSizeH.xy;
 }
 tc-=float(ext)*fTexelSizeH.xy;
 tc+=fTexelSizeW.xy;
 }
 frag=frag/float(ext)/float(ext);
 if (frag.a==0.0) discard;
 gl_FragColor = frag;
}
